package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.textbook.service.IWfTextbookRecedeService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 退书申请
 */
@Component("wf_textbook_recede_node")
public class WfTextbookRecedeNode extends NodeComponent {
    @Autowired
    private IWfTextbookRecedeService wfTextbookRecedeService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            wfTextbookRecedeService.dataHandle(formId);
        }
    }
}
